# parsl.executors.high_throughput.manager_selector.RandomManagerSelector

class parsl.executors.high_throughput.manager_selector.RandomManagerSelector

  Returns a shuffled list of interesting_managers

  By default this strategy is used by the interchange. Works well in distributing workloads equally across all availble compute resources. The random workload strategy is not effective in conjunction with elastic scaling behavior as the even task distribution does not allow the scaling down of blocks, leading to wasted resource consumption.

  __init__()

  Methods

  `__init__`() |
  `sort_managers`(ready_managers, manager_list) | Sort a given list of managers.

  sort_managers(ready_managers: Dict[bytes, ManagerRecord], manager_list: Set[bytes]) → List[bytes]

    Sort a given list of managers.

    Any operations pertaining to the sorting and rearrangement of the interesting_managers Set should be performed here.